@import './inputs';
@import './checkboxes';
@import './radiobuttons';
@import './select';

.form-group {
    margin-bottom: rem(12);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(24);
    }
}

.form-label {
    color: $dark;
    font-weight: 500;
    font-size: rem(12);
    line-height: rem(24);
    display: flex;
    align-items: center;

    &__icon {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: rem(18);
        fill: #212121;
        cursor: pointer;
        display: inline-block;
        margin-left: rem(10);
        margin-bottom: rem(4);
        transition: .25s;

        &:hover {
            fill: #5B7DD8;
            transition: .25s;
        }
    }

    sup {
        top: 0;
        color: #E51740;
        font-weight: 800;
        line-height: 100%;
        font-size: rem(16);
    }

    @include media-breakpoint-up(md) {
        font-size: rem(16);
        margin-bottom: rem(8);
    }
}


.form-user-name {

    @include media-breakpoint-up(md) {
        display: grid;
        grid-column-gap: rem(24);
        grid-template-columns: rem(204) auto rem(144);
    }
}

.form-org {

    @include media-breakpoint-up(md) {
        display: grid;
        grid-column-gap: rem(24);
        grid-template-columns: 1fr 1fr;
    }
}
